@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    --hach-brand-blue: #007EB5;
    --js-pdf-col: #0077CD;
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: var(--hach-brand-blue); /*Changed to Hach Blue*/
    border-color: #1861ac;
    border-radius: 3px;
    width: auto;
}

.btn:disabled {
    pointer-events: visible !important;
    cursor: not-allowed !important;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}
/*For cursive font text*/
.handwritten {
    font-family: 'Homemade Apple', cursive;
}
/*Spinner*/
/*Here is a nice video on how this works and another alternative: https://www.youtube.com/watch?v=Gx35fMhDPWs*/
/*Had to change position from relative to fixed in the spinner class to get overlay to work*/
*, *::after, *::before {
    box-sizing: border-box;
}

.spinner {
    width: 300px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    overflow: hidden;
    position: fixed;
    animation: text-color 2s ease-in-out infinite alternate;
}

.spinner-sector {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 15px solid transparent;
    mix-blend-mode: overlay;
    animation: rotate var(--duration) var(--timing) infinite;
    pointer-events: none;
}

.spinner-sector-1 {
    border-top-color: deepskyblue;
    --duration: 1.25s;
    --timing: ease-in-out;
}

.spinner-sector-2 {
    border-left-color: chartreuse;
    --duration: 1.7s;
    --timing: ease-in;
}

.spinner-sector-3 {
    border-right-color: #007EB5;
    --duration: 2.25s;
    --timing: ease-out;
}

@keyframes rotate {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes text-color {
    0% {
        color: rgba(0, 0, 0, 1);
    }

    50% {
        color: rgba(0, 0, 0, .5);
    }

    100% {
        color: rgba(0, 0, 0, .1);
    }
}
/*Checkbox Toggle CSS*/
.switch {
    display: inline-block;
    height: 34px;
    position: relative;
    width: 60px;
}

    .switch input {
        display: none;
    }

        .switch input:disabled {
            cursor: not-allowed;
        }

.slider {
    background-color: #ccc;
    bottom: 0;
    cursor: pointer;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transition: .4s;
}

    .slider:before {
        background-color: #fff;
        bottom: 4px;
        content: "";
        height: 26px;
        left: 4px;
        position: absolute;
        transition: .4s;
        width: 26px;
    }

    .slider:disabled {
        cursor: not-allowed;
    }

input:checked + .slider {
    background-color: #66bb6a;
}

    input:checked + .slider:before {
        transform: translateX(26px);
    }

    input:checked + .slider:disabled {
        cursor: not-allowed;
    }

.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }

    .slider.round:disabled {
        cursor: not-allowed;
    }
/*End Custom Checkbox Toggle CSS*/
/*Table Custom CSS*/

table td, th {
    padding: 6px;
    align-content: center;
}
/*End Table Custom CSS*/

.center-spinner {
    display: flex;
    position: fixed;
    justify-content: center;
    align-items: center;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.hach-menu-border {
    border: 5px solid var(--hach-brand-blue);
    border-radius: 5px;
}

.hach-primary-button {
    border-radius: 3px;
    min-width: 150px;
    width: auto;
    min-height: 40px;
    height: auto;
}

.hidden {
    visibility: hidden;
}

.font-12 {
    font-size: 12px;
}

.font-15 {
    font-size: 15px;
}

.font-xx-large {
    font-size: xx-large;
}

.page-break-after-always {
    page-break-after: always;
}

.two-by-two-container-centered {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
}

.form-control {
    border-color: black;
}

#resetButton {
    margin-left: 1rem;
    margin-right: 1rem;
}

.form-check-input[type=checkbox] {
    border-color: #86b7fe;
}

.form-check-input[type=radio] {
    border-radius: 50%;
    border-width: medium;
    border-color: var(--hach-brand-blue);
    cursor: pointer;
}

.table-scroll {
    overflow-x: auto;
    overflow-y: auto;
    max-width: 100rem;
    max-height: 30rem;
}

.page-size-chooser {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

    .page-size-chooser select {
        margin: 0 1rem;
        padding: 0.25rem 0.5rem;
        width: 25%;
    }

.paginator[b-3qssc0bm46] {
    display: block;
    position: sticky;
}

.nav-menu-label {
    cursor: pointer;
}

table {
    min-width: 100%;
    overflow-x: auto;
}


.quickgrid[theme=hach] thead {
    position: sticky;
    top: 0;
    background-color: var(--js-pdf-col);
    outline: 1px solid var(--js-pdf-col);
    z-index: 1;
}

.col-title-text[b-b7yucal7gj] {
    white-space: normal;
}

.col-title-text {
    color: white;
    background-color: var(--js-pdf-col);
    font-weight: bold;
}

.col-header-content {
    background-color: var(--js-pdf-col);
}

.quickgrid[theme=hach] .col-options {
    width: 15rem;
}

.quickgrid[theme=hach] th .col-options-button {
    background-color: var(--js-pdf-col);
    border-radius: 5px;
    margin-top: -0.070rem;
    margin-right: 0.4rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3C!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--%3E%3Cpath fill='%23ffffff' d='M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z'/%3E%3C/svg%3E");
}

.quickgrid[theme=hach] thead > tr > th {
    background-color: var(--js-pdf-col);
    font-weight: bold;
}

.quickgrid[theme=hach] .col-sort-asc .sort-indicator {
    border-radius: 5px;
    margin-left: 0.25rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23ffffff' d='M 2 3.25 L 12 20.75 L 22 3.25 L 12 10 z' /%3E%3C/svg%3E");
}

.quickgrid[theme=hach] .col-sort-desc .sort-indicator {
    border-radius: 5px;
    margin-left: 0.25rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23ffffff' d='M 2 3.25 L 12 20.75 L 22 3.25 L 12 10 z' /%3E%3C/svg%3E");
}

#hach-logo-header-outer {
    background-color: #007EB5;
    width: auto;
    background-repeat: no-repeat;
    border-radius: 30px;
    border: none;
    height: 100px;
}

#hach-logo-header-inner {
    background-color: white;
    background-repeat: no-repeat;
    background-position: center;
    padding-left: 10%;
    width: 154px;
    height: 100px;
}

.form-check-input:checked {
    /*    background-color: chartreuse;*/
    border-color: var(--hach-brand-blue);
}

.icon {
    cursor: pointer;
}

@media (max-width: 855px) {
    #addButton {
        margin-bottom: 0.5rem;
    }

    #resetButton {
        margin-bottom: 0.5rem;
        margin-left: 0;
        display: block;
    }

    .center-spinner {
    }
}